/* osptrs.h - system specific function pointers */

{   "SYSTEM",   S,  xsystem },

#if !(defined(UNIX)||defined(AMIGA)||defined(__SASC__))
{   "GET-KEY",  S,  xgetkey },
#endif

#ifdef GRAPHICS
{   "CLS",      S,  xcls    },
{   "GOTO-XY",  S,  xgotoxy },
{   "CLEOL",    S,  xcleol  },
{   "MODE",     S,  xmode   },
{   "COLOR",    S,  xcolor  },
{   "MOVE",     S,  xmove   },
{   "DRAW",     S,  xdraw   },
{   "MOVEREL",  S,  xmoverel},
{   "DRAWREL",  S,  xdrawrel},

       /* win32 api functions */
{   "CALL-WINAPI",        S, xcallwinapi   },
{   "STRING-POINTER",     S, xstringptr    },
{   "GET-ACTIVE-WINDOW",  F, xgetactivewin },
{   "GET-FOCUS"        ,  F, xgetfocus     },
{   "GET-WINDOW-MESSAGE", F, xgetwinmessage},
{   "SHOW-WINDOW"       , S, xshowwindow   },
{   "CENTER-WINDOW"     , S, xcenterwindow },
{   "SET-WINDOW-COLOR"  , S, xsetwincolor  },
{   "RGB-COLOR"         , S, xrgbcolor     },

#endif /* GRAPHICS */

#ifdef UNIX
{   "POPEN",    S,  Prim_POPEN},
{   "PCLOSE",   S,  Prim_PCLOSE},
#endif
